module DaphneUtil
  module ApiKeyGenerator

    def self.generate(*seed)
      seed_string = seed.compact.join("-")
      hashes = (0..1).to_a.map {|x| Digest::MD5.hexdigest("api_key=#{seed_string}#{DaphneUtil.salt}#{x}")}

      hashes.unshift("-key-")
      hashes.unshift(DaphneUtil.prefix(seed.first))
      
      hashes.join
    end

    def generate(seed)
      DaphneUtil::SecretGenerator.generate(seed)
    end

  end
end