module DaphneUtil
  module IdGenerator

    def self.generate(*seed)
      seed_string = seed.compact.join("-")
      hashes = (0..4).to_a.map {|x| Digest::MD5.hexdigest("client_id=#{seed_string}#{DaphneUtil.salt}#{x}")}

      prefix = DaphneUtil.prefix(seed[0])

      [
        prefix,
        hashes[0][4..11],
        hashes[1][8..11],
        hashes[2][12..15],
        hashes[3][16..19],
        hashes[4][20..31],
      ].join("-")
    end

    def generate(seed)
      DaphneUtil::IdGenerator.generate(seed)
    end

  end
end