module DaphneUtil
  module SecretGenerator

    def self.generate(*seed)
      seed_string = seed.compact.join("-")
      hashes = (0..1).to_a.map {|x| Digest::MD5.hexdigest("client_secret=#{seed_string}#{DaphneUtil.salt}#{x}")}
      hashes.join
    end

    def generate(seed)
      DaphneUtil::SecretGenerator.generate(seed)
    end

  end
end